orte/util/univ_info.h File Reference.TH "orte/util/univ_info.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/util/univ_info.h \- Populates global structure with system-specific information. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef enum orte_universe_state_t \fBorte_universe_state_t\fP"
.br
.ti -1c
.RI "typedef orte_universe_t \fBorte_universe_t\fP"
.br
.in -1c
.SS "Enumerations"

.in +1c
.ti -1c
.RI "enum \fBorte_universe_state_t\fP { \fBORTE_UNIVERSE_STATE_PRE_INIT\fP, \fBORTE_UNIVERSE_STATE_INIT\fP, \fBORTE_UNIVERSE_STATE_RUNNING\fP, \fBORTE_UNIVERSE_STATE_FINALIZE\fP }"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC int \fBorte_univ_info\fP (void)"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBorte_univ_info_finalize\fP (void)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC orte_universe_t \fBorte_universe_info\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Populates global structure with system-specific information. 

Notes: add limits.h, compute size of integer and other types via sizeof(type)*CHAR_BIT
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
